[med-svn] [Git][med-team/orthanc-wsi][master] 2 commits: increased verbosity of "run-dicom-image-transcode-test"

Sebastien Jodogne (@jodogne-guest) gitlab at salsa.debian.org
Sun Apr 27 11:26:31 BST 2025



Sebastien Jodogne pushed to branch master at Debian Med / orthanc-wsi


Commits:
8ef62674 by jodogne-guest at 2025-04-27T12:17:10+02:00
increased verbosity of "run-dicom-image-transcode-test"

- - - - -
6687b389 by jodogne-guest at 2025-04-27T12:25:40+02:00
Upload to unstable

- - - - -


3 changed files:

- debian/changelog
- + debian/tests/configuration.json
- debian/tests/run-dicom-image-transcode-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,9 @@
+orthanc-wsi (3.2+dfsg-5) unstable; urgency=medium
+
+  * Increased verbosity of "run-dicom-image-transcode-test"
+
+ -- Sebastien Jodogne <s.jodogne at gmail.com>  Sun, 27 Apr 2025 12:15:25 +0200
+
 orthanc-wsi (3.2+dfsg-4) unstable; urgency=medium
 
   * Team upload.


=====================================
debian/tests/configuration.json
=====================================
@@ -0,0 +1,3 @@
+{
+  "Plugins" : [ "." ]
+}


=====================================
debian/tests/run-dicom-image-transcode-test
=====================================
@@ -1,5 +1,6 @@
 #!/bin/bash
 set -e
+set -x
 
 pkg=orthanc-wsi
 CUR_DIR=`pwd`
@@ -11,9 +12,11 @@ if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
   trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
 fi
 
-cp ${CUR_DIR}/debian-tests-data/* -a "${AUTOPKGTEST_TMP}"
+cp -a ${CUR_DIR}/debian-tests-data/* "${AUTOPKGTEST_TMP}"
+cp -a ${CUR_DIR}/debian/tests/configuration.json "${AUTOPKGTEST_TMP}"
 
 cd "${AUTOPKGTEST_TMP}"
+ln -s /usr/share/orthanc/plugins/libOrthancWSI.so "${AUTOPKGTEST_TMP}"/libOrthancWSI.so
 
 # Check if user 'orthanc' exists
 if getent passwd orthanc > /dev/null 2>&1; then
@@ -24,14 +27,11 @@ else
 fi
 
 
-# Start the orthanc service
-/etc/init.d/$service_name start
+# Stop running instance of orthanc
+sudo systemctl stop orthanc
+sudo pkill Orthanc || true
 
-if [ $? -eq 0 ]; then
-    echo "Orthanc is active."
-else
-    echo "Orthanc is not active."
-fi
+sudo /usr/sbin/Orthanc ./configuration.json --verbose &
 
 
 # Try for 15 seconds to find the REST API of Orthanc in a healthy state
@@ -56,3 +56,8 @@ OrthancWSIDicomizer CMU-1-Small-Region.tiff --orthanc=$orthanc_server
 if [ $? -eq 0 ]; then
     echo "TIFF transcoded and pushed to Orthanc server"
 fi
+
+
+# Stop orthanc
+sudo systemctl stop orthanc
+sudo pkill Orthanc || true



View it on GitLab: https://salsa.debian.org/med-team/orthanc-wsi/-/compare/baaa566d163e8b6f7c1a3d40a742fcf6f505a8d3...6687b38979fa5eb3948babd7215eee626d58194a

-- 
View it on GitLab: https://salsa.debian.org/med-team/orthanc-wsi/-/compare/baaa566d163e8b6f7c1a3d40a742fcf6f505a8d3...6687b38979fa5eb3948babd7215eee626d58194a
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20250427/0b17e7b9/attachment-0001.htm>


More information about the debian-med-commit mailing list